<html>
<head>
<title>OGRE: Ogre::EdgeData::EdgeGroup Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1EdgeData.html">EdgeData</a>::<a class="el" href="structOgre_1_1EdgeData_1_1EdgeGroup.html">EdgeGroup</a></div>
<h1>Ogre::EdgeData::EdgeGroup Struct Reference</h1><!-- doxytag: class="Ogre::EdgeData::EdgeGroup" -->A group of edges sharing the same vertex data.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreEdgeListBuilder_8h-source.html">OgreEdgeListBuilder.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1EdgeData_1_1EdgeGroup-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EdgeData_1_1EdgeGroup.html#86c3d3704b9370b9601be1b1ef21316f">vertexSet</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The vertex set index that contains the vertices for this edge group.  <a href="#86c3d3704b9370b9601be1b1ef21316f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="classOgre_1_1VertexData.html">VertexData</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EdgeData_1_1EdgeGroup.html#1564edb1edb8ee140fd14ee683cae134">vertexData</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Pointer to vertex data used by this edge group.  <a href="#1564edb1edb8ee140fd14ee683cae134"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EdgeData_1_1EdgeGroup.html#c1492097f952ad47429aed81471d1308">triStart</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Index to main triangles array, indicate the first triangle of this edge group, and all triangles of this edge group are stored continuous in main triangles array.  <a href="#c1492097f952ad47429aed81471d1308"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EdgeData_1_1EdgeGroup.html#41b7c17951a90ca2a2518b497749fccf">triCount</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Number triangles of this edge group.  <a href="#41b7c17951a90ca2a2518b497749fccf"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1EdgeData.html#a25f4ff55b3a62137c8d74b417a2e127">EdgeList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EdgeData_1_1EdgeGroup.html#c1cefca66bbcb95e3a5b8967bbcd94f2">edges</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The edges themselves.  <a href="#c1cefca66bbcb95e3a5b8967bbcd94f2"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
A group of edges sharing the same vertex data. 
<p>

<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h-source.html#l00090">90</a> of file <a class="el" href="OgreEdgeListBuilder_8h-source.html">OgreEdgeListBuilder.h</a>.</p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="86c3d3704b9370b9601be1b1ef21316f"></a><!-- doxytag: member="Ogre::EdgeData::EdgeGroup::vertexSet" ref="86c3d3704b9370b9601be1b1ef21316f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1EdgeData_1_1EdgeGroup.html#86c3d3704b9370b9601be1b1ef21316f">Ogre::EdgeData::EdgeGroup::vertexSet</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The vertex set index that contains the vertices for this edge group. 
<p>

<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h-source.html#l00093">93</a> of file <a class="el" href="OgreEdgeListBuilder_8h-source.html">OgreEdgeListBuilder.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="1564edb1edb8ee140fd14ee683cae134"></a><!-- doxytag: member="Ogre::EdgeData::EdgeGroup::vertexData" ref="1564edb1edb8ee140fd14ee683cae134" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1VertexData.html">VertexData</a>* <a class="el" href="structOgre_1_1EdgeData_1_1EdgeGroup.html#1564edb1edb8ee140fd14ee683cae134">Ogre::EdgeData::EdgeGroup::vertexData</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Pointer to vertex data used by this edge group. 
<p>

<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h-source.html#l00095">95</a> of file <a class="el" href="OgreEdgeListBuilder_8h-source.html">OgreEdgeListBuilder.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="c1492097f952ad47429aed81471d1308"></a><!-- doxytag: member="Ogre::EdgeData::EdgeGroup::triStart" ref="c1492097f952ad47429aed81471d1308" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1EdgeData_1_1EdgeGroup.html#c1492097f952ad47429aed81471d1308">Ogre::EdgeData::EdgeGroup::triStart</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Index to main triangles array, indicate the first triangle of this edge group, and all triangles of this edge group are stored continuous in main triangles array. 
<p>

<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h-source.html#l00100">100</a> of file <a class="el" href="OgreEdgeListBuilder_8h-source.html">OgreEdgeListBuilder.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="41b7c17951a90ca2a2518b497749fccf"></a><!-- doxytag: member="Ogre::EdgeData::EdgeGroup::triCount" ref="41b7c17951a90ca2a2518b497749fccf" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1EdgeData_1_1EdgeGroup.html#41b7c17951a90ca2a2518b497749fccf">Ogre::EdgeData::EdgeGroup::triCount</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Number triangles of this edge group. 
<p>

<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h-source.html#l00102">102</a> of file <a class="el" href="OgreEdgeListBuilder_8h-source.html">OgreEdgeListBuilder.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="c1cefca66bbcb95e3a5b8967bbcd94f2"></a><!-- doxytag: member="Ogre::EdgeData::EdgeGroup::edges" ref="c1cefca66bbcb95e3a5b8967bbcd94f2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1EdgeData.html#a25f4ff55b3a62137c8d74b417a2e127">EdgeList</a> <a class="el" href="structOgre_1_1EdgeData_1_1EdgeGroup.html#c1cefca66bbcb95e3a5b8967bbcd94f2">Ogre::EdgeData::EdgeGroup::edges</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The edges themselves. 
<p>

<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h-source.html#l00104">104</a> of file <a class="el" href="OgreEdgeListBuilder_8h-source.html">OgreEdgeListBuilder.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreEdgeListBuilder_8h-source.html">OgreEdgeListBuilder.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:33 2008
</p>
</body>
</html>
